Subject: Re: linux-next: manual merge of the arm-soc tree with the usb tree

From: Kevin Hilman <[email-masked]>
Date: Tue, 27 Aug 2013 08:01:18 -0700

Benoit Cousson <[email-masked]> writes:

> + Kevin,
>
> On 27/08/2013 15:53, Sebastian Andrzej Siewior wrote:
>> On 08/27/2013 03:24 PM, Benoit Cousson wrote:
>>> Hi Sebatian,
>>
>> Hi Benoit,
>>
>>> Yes. DT patches are an endless source of merge conflicts if they are
>>> merge throught different trees.
>>
>> Usually there are small conflicts because two people added / changed a
>> node nearby. This patch turned the .dts file almost upside down.
>
> Yes, that's true.
>
>>> What was discussed with Olof and Arnd during Connect is that we should
>>> avoid merging DT patches outside arm-soc tree to avoid that kind of
>>> situation.
>>
>> I am aware of this now. However these changes belonged together because
>> a) they belonged together and b) would break the driver until the .dts
>> changes and driver code is in-sync.
>> In future I am going to ask you for a topic branch so I can get my
>> changes in one piece without breaking stuff in the middle.
>>
>> What do we do now?
>
> Cannot you just merge the stable arm-soc/dt branch into your branch
> before applying your patches?

Unfortunately, the next/dt branch of arm-soc is not necessarily stable
so should *not* be merged.  In fact none of the arm-soc branches should
be considered stable.

As was already mentioned, this should be split up into driver changes
and DTS changes through arm-soc.  They'll both merge for v3.12.

BTW, how did this patch get merged without a signoff/ack from the OMAP
DT maintainer in the first place?  Hmm, looks like Benoit was not copied
nor was linux-omap or linux-arm-kernel copied in the original mails.

Kevin